Package ghidra.framework.main.logviewer.ui

# Class FVTableModel

java.lang.Object
javax.swing.table.AbstractTableModel
ghidra.framework.main.logviewer.ui.FVTableModel

All Implemented Interfaces:
  `Serializable`, `TableModel`

public class FVTableModel extends AbstractTableModel
The model that backs the `FVTable` table. This model defines 4 columns: date, time, log level, and the message.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DATE_COL`
  `static final int`
  `LEVEL_COL`
  `static final int`
  `MESSAGE_COL`
  `static final int`
  `TIME_COL`

  ### Fields inherited from class javax.swing.table.AbstractTableModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FVTableModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRow(String row, boolean notify)`
  Adds a row to the model.
  `void`
  `addRow(String row, int index, boolean notify)`
  Adds a row to the model
  `void`
  `addRowsToBottom(List<String> rows)`
  Adds a list of rows to the model and fires off a notification.
  `void`
  `addRowsToTop(List<String> rows)`
  Adds a list of rows to the model and fires off a notification.
  `void`
  `clear()`
  Clears all lines from the model and fires off a notification.
  `Class<?>`
  `getColumnClass(int columnIndex)`
  `int`
  `getColumnCount()`
  `String`
  `getColumnName(int column)`
  `int`
  `getRowCount()`
  `Object`
  `getValueAt(int rowIndex, int columnIndex)`
  `void`
  `removeRowsFromBottom(int count)`
  Removes a set of rows from the bottom of the view.
  `void`
  `removeRowsFromTop(int count)`
  Removes a set of rows from the top of the view.

  ### Methods inherited from class javax.swing.table.AbstractTableModel

  `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DATE_COL

    public static final int DATE_COL
    See Also:
      - Constant Field Values

  - ### TIME_COL

    public static final int TIME_COL
    See Also:
      - Constant Field Values

  - ### LEVEL_COL

    public static final int LEVEL_COL
    See Also:
      - Constant Field Values

  - ### MESSAGE_COL

    public static final int MESSAGE_COL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FVTableModel

    public FVTableModel()

- ## Method Details

  - ### getRowCount

    public int getRowCount()

  - ### getColumnCount

    public int getColumnCount()

  - ### getColumnName

    public String getColumnName(int column)
    Specified by:
      `getColumnName` in interface `TableModel`
    Overrides:
      `getColumnName` in class `AbstractTableModel`

  - ### getColumnClass

    public Class<?> getColumnClass(int columnIndex)
    Specified by:
      `getColumnClass` in interface `TableModel`
    Overrides:
      `getColumnClass` in class `AbstractTableModel`

  - ### getValueAt

    public Object getValueAt(int rowIndex, int columnIndex)

  - ### addRow

    public void addRow(String row, boolean notify)
    Adds a row to the model.
    Parameters:
      `row` - the data to add
      `notify` - if true, a notification will be sent to subscribers

  - ### addRow

    public void addRow(String row, int index, boolean notify)
    Adds a row to the model
    Parameters:
      `row` - the data to add
      `index` - the position within the model to add this to
      `notify` - if true, a notification will be sent to subscribers

  - ### addRowsToTop

    public void addRowsToTop(List<String> rows)
    Adds a list of rows to the model and fires off a notification.
    Parameters:
      `rows` -

  - ### addRowsToBottom

    public void addRowsToBottom(List<String> rows)
    Adds a list of rows to the model and fires off a notification.
    Parameters:
      `rows` -

  - ### removeRowsFromBottom

    public void removeRowsFromBottom(int count)
    Removes a set of rows from the bottom of the view.
    Parameters:
      `count` - the number of rows to remove

  - ### removeRowsFromTop

    public void removeRowsFromTop(int count)
    Removes a set of rows from the top of the view.
    Parameters:
      `count` - the number of rows to remove

  - ### clear

    public void clear()
    Clears all lines from the model and fires off a notification.